Field3DFile.h File Reference
Fields

Contains the Field3DFile classes. More...

`#include <list>`
`#include <string>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`
`#include "EmptyField.h"`
`#include "Field.h"`
`#include "Field3DFileHDF5.h"`
`#include "FieldMetadata.h"`
`#include "ClassFactory.h"`
`#include "OgawaFwd.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | Field3DFileBase
struct | Field3DFileBase::LayerInfo
class | Field3DInputFile
| Provides reading of .f3d (internally, hdf5 or Ogawa) files. More...
class | Field3DOutputFile
| Provides writing of .f3d (internally, hdf5 or Ogawa) files. More...
class | File::Layer
class | File::Partition

## Namespaces

namespace | File
| Namespace for file I/O specifics.

## Functions

bool | fileExists (const std::string &filename)
| checks to see if a file/directory exists or not

## Detailed Description

Contains the Field3DFile classes.

OSS sanitized

Definition in file Field3DFile.h.

## Function Documentation

## fileExists()

bool fileExists | ( | const std::string & | filename | ) |

checks to see if a file/directory exists or not

Parameters

  [in] | filename | the file/directory to check

Return values

  true | if it exists
  false | if it does not exist

Definition at line 1341 of file Field3DFile.cpp.

{
#ifdef WIN32
struct __stat64 statbuf;
return (_stat64(filename.c_str(), &statbuf) != -1);
#else
struct stat statbuf;
return (stat(filename.c_str(), &statbuf) != -1);
#endif
}

Referenced by Field3DOutputFile::create(), and FileSequence::FileSequence().